//
//  ImageSwitcherViewController.m
//  ImageSwitcher
//
//  Created by Ken Anderson on 3/7/11.
//  Copyright 2011 University of Colorado, Boulder. All rights reserved.
//

#import "ImageSwitcherViewController.h"

@implementation ImageSwitcherViewController

@synthesize pages, one, two;

- (void)viewDidLoad {
    [super viewDidLoad];
	
	[one setImage:[UIImage imageNamed:@"Aragorn.jpg"]];
	
	front = one;
	back  = two;
	
	[one setHidden:NO];
	[two setHidden:YES];
	
	[pages addTarget:self
		      action:@selector(pageTurning:)
	forControlEvents:UIControlEventValueChanged];
}

- (void) pageTurning: (UIPageControl *) pager {
	NSInteger nextPage = [pager currentPage];
	switch (nextPage) {
		case 0:
			[back setImage:[UIImage imageNamed:@"Aragorn.jpg"]];
			break;
		case 1:
			[back setImage:[UIImage imageNamed:@"Gollum.jpg"]];
			break;
		case 2:
			[back setImage:[UIImage imageNamed:@"Legolas.jpg"]];
			break;
		case 3:
			[back setImage:[UIImage imageNamed:@"Sauron.jpg"]];
			break;
		case 4:
			[back setImage:[UIImage imageNamed:@"theTowers.jpg"]];
			break;
		default:
			break;
	}
	
	[UIView beginAnimations:@"flipping view" context:nil];
	[UIView setAnimationDuration:0.5];
	[UIView setAnimationCurve:UIViewAnimationCurveEaseInOut];
	[UIView setAnimationTransition:UIViewAnimationTransitionFlipFromLeft forView:front cache:YES];
	
	[front setHidden:YES];
	
	[UIView commitAnimations];
	
	[UIView beginAnimations:@"flipping view" context:nil];
	[UIView setAnimationDuration:0.5];
	[UIView setAnimationCurve:UIViewAnimationCurveEaseInOut];
	[UIView setAnimationTransition:UIViewAnimationTransitionFlipFromLeft forView:back cache:YES];

	[back setHidden:NO];

	[UIView commitAnimations];

	if (front.tag == 0) {
		front = two;
		back  = one;
	} else {
		front = one;
		back = two;
	}
	
	
	
	
}

// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
	return YES;
}

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	[pages release];
	[one release];
	[two release];
}


- (void)dealloc {
	[pages release];
	[one release];
	[two release];
    [super dealloc];
}

@end
