    //
//  ScreenOne.m
//  ViewSwitcher
//
//  Created by Ken Anderson on 3/7/11.
//  Copyright 2011 University of Colorado, Boulder. All rights reserved.
//

#import "ScreenOne.h"
#import "ScreenTwo.h"

@class ViewSwitcherAppDelegate;

@implementation ScreenOne

@synthesize screenOne, goToScreenTwo;

- (void)viewDidLoad {
    [super viewDidLoad];
	
	CGRect frame = CGRectMake(20, 10, 280, 50);
	
	[self setScreenOne:[[UILabel alloc] initWithFrame:frame]];
	[screenOne setTextAlignment: UITextAlignmentCenter];
	[screenOne setFont: [UIFont boldSystemFontOfSize:17]];
	[screenOne setBackgroundColor:[UIColor clearColor]];
	[screenOne setText: @"Screen One"];
	
	frame = CGRectMake(20, 80, 280, 50);
	
	[self setGoToScreenTwo:[UIButton buttonWithType:UIButtonTypeRoundedRect]];
	[goToScreenTwo setFrame: frame];
	[goToScreenTwo setTitle: @"Go to Screen Two" forState: UIControlStateNormal];
	
	[goToScreenTwo addTarget:self action:@selector(handleClick:) forControlEvents:UIControlEventTouchUpInside];
	
	[[self view] addSubview:screenOne];
	[[self view] addSubview:goToScreenTwo];
	
	[[self view] setBackgroundColor:[UIColor colorWithRed:1.0 green:0.0 blue:0.0 alpha:0.8]];
}

- (void) handleClick: (id) sender {
	ViewSwitcherAppDelegate *delegate = (ViewSwitcherAppDelegate *)[[UIApplication sharedApplication] delegate];
	[[delegate window] setRootViewController:[[[ScreenTwo alloc] initWithNibName:nil bundle:nil] autorelease]];
}


- (void)viewDidUnload {
	[goToScreenTwo release];
	[screenOne release];
    [super viewDidUnload];
}


- (void)dealloc {
	[goToScreenTwo release];
	[screenOne release];
    [super dealloc];
}


@end
