    //
//  ScreenThree.m
//  ViewSwitcher
//
//  Created by Ken Anderson on 3/7/11.
//  Copyright 2011 University of Colorado, Boulder. All rights reserved.
//

#import "ScreenThree.h"
#import "ScreenOne.h"

@class ViewSwitcherAppDelegate;

@implementation ScreenThree

@synthesize screenThree, goToScreenOne;

- (void)viewDidLoad {
    [super viewDidLoad];
	CGRect frame = CGRectMake(20, 10, 280, 50);
	
	[self setScreenThree:[[UILabel alloc] initWithFrame:frame]];
	[screenThree setTextAlignment: UITextAlignmentCenter];
	[screenThree setFont: [UIFont boldSystemFontOfSize:17]];
	[screenThree setBackgroundColor:[UIColor clearColor]];
	[screenThree setText: @"Screen Three"];
	
	frame = CGRectMake(20, 80, 280, 50);
	
	[self setGoToScreenOne:[UIButton buttonWithType:UIButtonTypeRoundedRect]];
	[goToScreenOne setFrame: frame];
	[goToScreenOne setTitle: @"Go to Screen One" forState: UIControlStateNormal];
	
	[goToScreenOne addTarget:self action:@selector(handleClick:) forControlEvents:UIControlEventTouchUpInside];
	
	[[self view] addSubview:screenThree];
	[[self view] addSubview:goToScreenOne];
	
	[[self view] setBackgroundColor:[UIColor colorWithRed:0.0 green:0.0 blue:1.0 alpha:0.8]];
	
}

- (void) handleClick: (id) sender {
	ViewSwitcherAppDelegate *delegate = (ViewSwitcherAppDelegate *)[[UIApplication sharedApplication] delegate];
	[[delegate window] setRootViewController:[[[ScreenOne alloc] initWithNibName:nil bundle:nil] autorelease]];
}

- (void)viewDidUnload {
	[goToScreenOne release];
	[screenThree release];
    [super viewDidUnload];
}


- (void)dealloc {
	[goToScreenOne release];
	[screenThree release];
    [super dealloc];
}


@end
