    //
//  ScreenTwo.m
//  ViewSwitcher
//
//  Created by Ken Anderson on 3/7/11.
//  Copyright 2011 University of Colorado, Boulder. All rights reserved.
//

#import "ScreenTwo.h"
#import "ScreenThree.h"

@class ViewSwitcherAppDelegate;

@implementation ScreenTwo

@synthesize screenTwo, goToScreenThree;

- (void)viewDidLoad {
    [super viewDidLoad];
	CGRect frame = CGRectMake(20, 10, 280, 50);
	
	[self setScreenTwo:[[UILabel alloc] initWithFrame:frame]];
	[screenTwo setTextAlignment: UITextAlignmentCenter];
	[screenTwo setFont: [UIFont boldSystemFontOfSize:17]];
	[screenTwo setBackgroundColor:[UIColor clearColor]];
	[screenTwo setText: @"Screen Two"];
	
	frame = CGRectMake(20, 80, 280, 50);
	
	[self setGoToScreenThree:[UIButton buttonWithType:UIButtonTypeRoundedRect]];
	[goToScreenThree setFrame: frame];
	[goToScreenThree setTitle: @"Go to Screen Three" forState: UIControlStateNormal];
	
	[goToScreenThree addTarget:self action:@selector(handleClick:) forControlEvents:UIControlEventTouchUpInside];
	
	[[self view] addSubview:screenTwo];
	[[self view] addSubview:goToScreenThree];
	
	[[self view] setBackgroundColor:[UIColor colorWithRed:0.0 green:1.0 blue:0.0 alpha:0.8]];
	
}

- (void) handleClick: (id) sender {
	ViewSwitcherAppDelegate *delegate = (ViewSwitcherAppDelegate *)[[UIApplication sharedApplication] delegate];
	[[delegate window] setRootViewController:[[[ScreenThree alloc] initWithNibName:nil bundle:nil] autorelease]];
}

- (void)viewDidUnload {
	[goToScreenThree release];
	[screenTwo release];
    [super viewDidUnload];
}


- (void)dealloc {
	[goToScreenThree release];
	[screenTwo release];
    [super dealloc];
}


@end
